/* General Styles */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: var(--background-color);
    color: var(--font-color);
}

.upload-window {
    width: 100%;
    max-width: 600px;
    background-color: var(--chat-background-color);
    color: var(--chat-font-color);
    padding: 0;
    border: 1px solid #ccc;
    /*border-radius: 0px;*/
    /*box-shadow: 0 1px 15px rgba(0, 0, 0, 0.1);*/
    box-sizing: border-box;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.upload-window h2 {
    margin-top: 2px;
    margin-left: 5px;
    color: var(--font-color);
}

.upload-window label[for="title"],
.upload-window label[for="description"],
.upload-window label[for="file"] {
    margin-left: 5px;
    margin-right: 5px;
    margin-top: 2px;
    margin-bottom: 0;
    color: var(--font-color);
 }

.upload-window input[type="file"],
.upload-window input[type="text"],
.upload-window textarea {
    width: 95%;
    margin-left: 5px;
    margin-bottom: 5px;
}

.upload-window .buttons {
   text-align: right;
   margin-top: 10px;
}


/* Container for the Upload Content Page */
.upload-container {
    max-width: 800px;
    margin: 5px auto;
    padding: 10px;
    background-color:var(--background-color);
    color: var(--font-color);
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.preview-container {
    display: flex;
    justify-content: center;
    margin-top: 10px;
    overflow: hidden;
}

img.preview {
    max-width: 300px;
    max-height: 300px;
    display: block;
}

#rotateBtn {
    margin-top: 10px;
    display: inline-block;
}


/* Form Elements */
form label {
    display: block;
    margin-bottom: 10px;
    font-weight: bold;
}

form input[type="text"],
form input[type="file"],
form textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1rem;
}

form textarea {
    resize: vertical;
    min-height: 100px;
}

/* Buttons */
form button {
    display: inline-block;
    padding: 10px 20px;
    font-size: 1rem;
    color: #fff;
    background-color: var(--button-color);
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

form button:hover {
    background-color: #0056b3;
}

/* Feedback Message */
.feedback-message {
    margin-top: 10px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    background-color: #f9f9f9;
    font-style: italic;
    color: #666;
}

/* Image Preview */
.image-preview {
    max-width: 100%;
    margin-bottom: 20px;
    border: 1px solid #ddd;
    border-radius: 4px;
}

/* Error Messages */
.error-message {
    color: red;
    font-weight: bold;
}

